WOLF4SDL(6)

NAME
wolf4sdl - An open-source port of id Software's classic first-person shooter

SYNOPSIS
wolf4sdl [options]

wolf4sdl-wl6 [options]

wolf4sdl-wl6a [options]

wolf4sdl-wl6a1 [options]

wolf4sdl-wl1 [options]

wolf4sdl-sod [options]

wolf4sdl-sdm [options]

DESCRIPTION
Wolf4SDL is an open-source port of id Software's classic first-person shooter Wolfenstein 3D to the cross-plattform multimedia library Simple DirectMedia Layer (SDL) (http://www.libsdl.org). It is meant to keep the original feel while taking advantage of some improvements.

The wolf4sdl-wl6, wolf4sdl-wl6a, wolf4sdl-wl6a1, wolf4sdl-wl1, wolf4sdl-sod and wolf4sdl-sdm binaries start the Wolf3d Full v1.4 GT/ID/Activision, Wolf3d Full v1.4 Apogee (with ReadThis), Wolf3d Full v1.1 Apogee (with ReadThis), Wolf3d Shareware v1.4, Spear of Destiny Full and Mission Disks and Spear of Destiny Demo games, respectively. The wolf4sdl wrapper script automatically runs the engine that fits to the data files found in /usr/share/games/wolf3d.

OPTIONS

--help
    This help page

--tedlevel <level>
    Starts the game in the given level

--baby
    Sets the difficulty to baby for tedlevel

--easy
    Sets the difficulty to easy for tedlevel

--normal
    Sets the difficulty to normal for tedlevel

--hard
    Sets the difficulty to hard for tedlevel

--nowait
    Skips intro screens

--windowed
    Starts the game in a window

--shading
    Enables shading support

--res <width> <height>
    Sets the screen resolution (must be multiple of 320x200)

--resf <w> <h>
    Sets any screen resolution >= 320x200 (which may result in graphic errors)

--bits <b>
    Sets the screen color depth (use this when you have palette/fading problems allowed: 8, 16, 24, 32, default: "best" depth)

--joystick <index>
    Use the index-th joystick if available (-1 to disable joystick, default: 0)

--joystickhat <index>
    Enables movement with the given coolie hat

--samplerate <rate>
    Sets the sound sample rate (given in Hz, default: 44100)

--audiobuffer <size>
    Sets the size of the audio buffer (-> sound latency) (given in bytes, default: 2048 / (44100 / samplerate))

--ignorenumchunks
    Ignores the number of chunks in VGAHEAD.* (may be useful for some broken mods)

AUTHORS
Wolf4SDL v1.6 ($Revision: 232 $)

Ported by Chaos-Software (http://www.chaos-software.de.vu)

Original Wolfenstein 3D by id Software

This manual page was written by Fabian Greffrath <fabian@debian.org> for the Debian project (but may be used by others).